LibreOffice LibreOffice 5.3 SDK API Reference

List of all members
OfficeRestartManager Singleton Reference

This singleton is intended to allow to restart the office asynchronously. More...

`import"OfficeRestartManager.idl";`

Inheritance diagram for OfficeRestartManager:

## Additional Inherited Members
Public Member Functions inherited from XRestartManager
void | requestRestart ([in] com::sun::star::task::XInteractionHandler xInteractionHandler) raises ( com::sun::star::uno::Exception )
| let the office restart asynchronously More...
boolean | isRestartRequested ([in] boolean bInitialized) raises ( com::sun::star::uno::Exception )
| allows to get info whether the restart has been requested and provide the initialization status. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

This singleton is intended to allow to restart the office asynchronously.

Since
  OOo 3.3

The documentation for this singleton was generated from the following file:

- com/sun/star/task/OfficeRestartManager.idl